"use strict";

require("core-js/modules/web.dom-collections.iterator.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ArrowLeft = _interopRequireDefault(require("./ArrowLeft"));
var _ArrowRight = _interopRequireDefault(require("./ArrowRight"));
var _scrollContext = require("./scrollContext");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function Carousel(props) {
  if (props.children == undefined) {
    var children = [/*#__PURE__*/_react.default.createElement("div", {
      style: {
        width: "300px",
        border: "2px solid white",
        backgroundColor: "cadetblue",
        color: "white",
        padding: "5px",
        boxShadow: "1px 1px 1px 1px cadetblue"
      }
    }, "Please Provide Items")];
  } else {
    var children = props.children;
  }
  var scrollDetails = (0, _react.useContext)(_scrollContext.scrollContext);
  var count = props.countVisible;
  var currentSelect = [];
  for (var i = scrollDetails.first; i < scrollDetails.first + props.countVisible; ++i) {
    currentSelect.push(children[i]);
  }
  (0, _react.useEffect)(() => {
    scrollDetails.setSize(children.length);
  });
  return /*#__PURE__*/_react.default.createElement("div", {
    className: props.containerClass
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: props.arrowContainerClass
  }, /*#__PURE__*/_react.default.createElement(_ArrowLeft.default, {
    showStyle: props.arrowLShowStyle,
    arrowsAlwaysVisible: props.arrowsAlwaysVisible,
    hideStyle: props.arrowLHideStyle,
    countVisible: props.countVisible,
    shiftAmount: props.shiftAmount
  }, "<"), /*#__PURE__*/_react.default.createElement(_ArrowRight.default, {
    showStyle: props.arrowRShowStyle,
    arrowsAlwaysVisible: props.arrowsAlwaysVisible,
    hideStyle: props.arrowRHideStyle,
    countVisible: props.countVisible,
    shiftAmount: props.shiftAmount
  }, ">")), /*#__PURE__*/_react.default.createElement("div", {
    className: props.itemContainerClass
  }, children.slice(scrollDetails.first, scrollDetails.first + props.countVisible)));
}
var _default = Carousel;
exports.default = _default;